# Removing all power armor frame items
execute if entity @s[nbt={SelectedItem:{components:{"minecraft:equippable":{asset_id:"power_armor:frame"}}}}] run item replace entity @s weapon.mainhand with air
# Checking for sneaking
execute as @s[tag=in_power_armor,scores={power_armor.sneak=60..},x_rotation=80..90] run function power_armor:exit
scoreboard players reset @s[scores={power_armor.sneak=60..}]
# Debuffing if wearing power armor illegally
execute if entity @s[tag=illegal_wearing_armor] run effect give @s slowness 1 5 true
execute if entity @s[tag=illegal_wearing_armor] run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"You cannot wear power armor pieces without a power armor suit."}
# Power Armor Battery
scoreboard players remove @s[tag=in_power_armor,scores={power_armor.suit_battery=1..}] power_armor.suit_battery 1
attribute @s[tag=in_power_armor,scores={power_armor.suit_battery=1..}] minecraft:jump_strength modifier remove power_armor:cantjumppower
attribute @s[tag=in_power_armor,scores={power_armor.suit_battery=..0}] minecraft:jump_strength modifier add power_armor:cantjumppower -1 add_value
execute if entity @s[tag=in_power_armor,scores={power_armor.suit_battery=..0}] run effect give @s slowness 1 5 true
execute if entity @s[tag=in_power_armor,scores={power_armor.suit_battery=..0}] run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"Your power armor suit needs more power_armor: Power it with redstone blocks."}
# Ground Pound
execute if entity @s[scores={power_armor.falling=1..}] run function power_armor:ground_pound
# Player Death
execute as @s[tag=in_power_armor,scores={power_armor.player_death=1..}] run function power_armor:player_death/figure_out
# Increasing gravity when in water
execute if block ~ ~ ~ #power_armor:water run attribute @s[tag=in_power_armor] minecraft:gravity modifier add power_armor:heavyinwater 0.5 add_value
execute if block ~ ~1.75 ~ #power_armor:water run effect give @s[tag=in_power_armor] blindness 3 0 true
execute unless block ~ ~ ~ #power_armor:water run attribute @s minecraft:gravity modifier remove power_armor:heavyinwater


