# Spawning the actual entities
summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,Tags:["power_armor"]}
tp @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] ~ ~ ~ ~ ~
attribute @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] minecraft:scale base set 1.2
scoreboard players operation @e[type=minecraft:armor_stand,tag=power_armor,limit=1,sort=nearest] power_armor.suit_battery = @s power_armor.suit_battery
execute as @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] at @s positioned ~ ~0.3 ~ run summon interaction ^-0.2 ^-0.2 ^-0.2 {response:1b,width:0.5f,height:1.5f,Tags:["power_armor_interactor"]}

# Putting player outside their power armor
attribute @s minecraft:jump_strength modifier remove power_armor:cantjumppower
attribute @s minecraft:scale base set 1
scoreboard players reset @s power_armor.player_death

# Identifying Items
tag @e[type=item,limit=1,sort=random,nbt={Item:{id:"minecraft:leather_helmet",count:1,components:{"minecraft:custom_data":{power_armor_piece:1b}}}}] add helmet
tag @e[type=item,limit=1,sort=nearest,nbt={Item:{id:"minecraft:leather_chestplate",count:1,components:{"minecraft:custom_data":{being_worn:1b}}}}] add chestplate
tag @e[type=item,limit=1,sort=nearest,nbt={Item:{id:"minecraft:leather_leggings",count:1,components:{"minecraft:custom_data":{being_worn:1b}}}}] add leggings
tag @e[type=item,limit=1,sort=nearest,nbt={Item:{id:"minecraft:leather_boots",count:1,components:{"minecraft:custom_data":{being_worn:1b}}}}] add boots

# Putting the armor on the armor stand
item replace entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.head from entity @e[tag=helmet,type=item,limit=1] container.0
item replace entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.chest from entity @e[tag=chestplate,type=item,limit=1] container.0
item replace entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.legs from entity @e[tag=leggings,type=item,limit=1] container.0
item replace entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.feet from entity @e[tag=boots,type=item,limit=1] container.0

# Removing the curse of binding and custom tag
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.chest [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.legs [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.feet [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.chest [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.legs [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.feet [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.chest [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.legs [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]
item modify entity @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] armor.feet [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]

# Clean up
kill @e[tag=helmet,type=item,limit=1]
kill @e[tag=chestplate,type=item,limit=1]
kill @e[tag=leggings,type=item,limit=1]
kill @e[tag=boots,type=item,limit=1]
tag @s remove in_power_armor
scoreboard players reset @s power_armor.suit_battery

