# Stopping if the player is wearing armor
execute if entity @s[nbt={Inventory:[{Slot:103b}]}] run return run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"You cannot enter Power Armor while wearing armor."}
execute if entity @s[nbt={Inventory:[{Slot:102b}]}] run return run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"You cannot enter Power Armor while wearing armor."}
execute if entity @s[nbt={Inventory:[{Slot:101b}]}] run return run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"You cannot enter Power Armor while wearing armor."}
execute if entity @s[nbt={Inventory:[{Slot:100b}]}] run return run title @s actionbar {"bold":false,"color":"red","italic":false,"text":"You cannot enter Power Armor while wearing armor."}

# Putting player in the power armor
playsound power_armor:power_armor_exit player @a ~ ~ ~ 4 1
tp @s @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1]
scoreboard players add @s power_armor.player_death 0
attribute @s minecraft:scale base set 1.25
attribute @s minecraft:movement_efficiency base set 1
attribute @s minecraft:water_movement_efficiency base set 0.2
attribute @s minecraft:submerged_mining_speed base set 1
tag @s add in_power_armor
scoreboard players operation @s power_armor.suit_battery = @e[type=minecraft:armor_stand,tag=power_armor,limit=1,sort=nearest] power_armor.suit_battery
item replace entity @s armor.head from entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.head
item replace entity @s armor.chest from entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.chest
item replace entity @s armor.legs from entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.legs
item replace entity @s armor.feet from entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.feet
kill @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1]
kill @e[type=interaction,tag=power_armor_interactor,sort=nearest,limit=1]
kill @e[type=text_display,tag=power_armor_battery_display,distance=..5,limit=1,sort=nearest]

# Making sure the power armor stays on
item modify entity @s armor.chest [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":1}}]
item modify entity @s armor.legs [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":1}}]
item modify entity @s armor.feet [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":1}}]

# Telling datapack that this piece is on
item modify entity @s armor.chest [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"being_worn":1b}}}]
item modify entity @s armor.legs [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"being_worn":1b}}}]
item modify entity @s armor.feet [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"being_worn":1b}}}]

