# Spawning the actual entities
summon armor_stand ~ ~ ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Invisible:1b,NoBasePlate:1b,Tags:["power_armor"]}
tp @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] ~ ~ ~ ~ ~
attribute @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] minecraft:scale base set 1.2
scoreboard players operation @e[type=minecraft:armor_stand,tag=power_armor,limit=1,sort=nearest] power_armor.suit_battery = @s power_armor.suit_battery
execute as @e[type=armor_stand,tag=power_armor,limit=1,sort=nearest] at @s positioned ~ ~0.3 ~ run summon interaction ^ ^-0.2 ^ {response:1b,width:0.5f,height:1.5f,Tags:["power_armor_interactor"]}

# Putting player outside their power armor
tp @s ^ ^ ^-0.2
attribute @s minecraft:scale base set 1
attribute @s minecraft:movement_efficiency base set 0
attribute @s minecraft:water_movement_efficiency base set 0
attribute @s minecraft:submerged_mining_speed base set 0.2
attribute @s minecraft:jump_strength modifier remove power_armor:cantjumppower
scoreboard players reset @s power_armor.player_death
playsound power_armor:power_armor_exit player @a ~ ~ ~ 4 1

# Removing the curse of binding and custom tag
item modify entity @s armor.chest [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @s armor.legs [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @s armor.feet [{"function":"minecraft:set_enchantments","enchantments":{"minecraft:binding_curse":-1}}]
item modify entity @s armor.chest [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @s armor.legs [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @s armor.feet [{"function":"minecraft:set_components","components":{"!minecraft:custom_data":{}}}]
item modify entity @s armor.chest [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]
item modify entity @s armor.legs [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]
item modify entity @s armor.feet [{"function":"minecraft:set_components","components":{"minecraft:custom_data":{"power_armor_piece":1b}}}]

# Putting player's armor on the frame
item replace entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.head from entity @s armor.head
item replace entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.chest from entity @s armor.chest
item replace entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.legs from entity @s armor.legs
item replace entity @e[type=armor_stand,tag=power_armor,sort=nearest,limit=1] armor.feet from entity @s armor.feet

# Cleaning up
item replace entity @s armor.head with air
item replace entity @s armor.chest with air
item replace entity @s armor.legs with air
item replace entity @s armor.feet with air
tag @s remove in_power_armor
